kind: pipeline 
type: docker 
name: deploy 

volumes: 
  - name: node_modules
    host: 
      path: /usr/local/frontend/node_modules
  - name: web_build_dir
    host:
      path: /usr/local/frontend/automated_admin
  - name: yarn_cache
    host:
      path: /usr/local/frontend/yarn_cache

steps:
  - name: build-project
    image: node:22
    depends_on: [clone]
    volumes: 
      - name: node_modules
        path: /drone/src/node_modules
      - name: web_build_dir
        path: /drone/src/dist
      - name: yarn_cache
        path: /usr/local/share/.cache/yarn/v6
    commands: 
      # - npm config set registry https://registry.npm.taobao.org
      - yarn config set registry https://registry.npmmirror.com
      - yarn install
      - yarn build:prod
      #- npm cache clean --force
      # - npm install
      # - npm run build:prod
      
trigger:
  branch:
  - main
  event:
  - push